MysqlPoint (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.mysql
Class MysqlPoint

    java.lang.Object
      com.bbn.openmap.layer.mysql.MysqlGeometry
          com.bbn.openmap.layer.mysql.MysqlPoint

    public class MysqlPoint

extends MysqlGeometry

This class represents the encapsulation of a MySQL Point Geometry. Coordinate values are stored as values of double precision in arrays as a sequence of Latitude/Longitude pairs. This differs from the database where values are stored as X/Y or Easting/Northing pairs.

Copyright 2003 by the Author

Version:
  1.0
Author:
  Uwe Baier uwe.baier@gmx.net

Field Summary

Fields inherited from class com.bbn.openmap.layer.mysql.MysqlGeometry
`GEOMETRYCOLLECTIONTYPE, LINESTRINGTYPE, MULTILINESTRINGTYPE, MULTIPOINTTYPE, MULTIPOLYGONTYPE, POINTTYPE, POLYGONTTYPE`

Constructor Summary
`MysqlPoint()`

Method Summary
`double` | `getEastings()` Returns the eastings.
`double` | `getNorthings()` Returns the northings.
`void` | `setEastings(double eastings)` Sets the eastings.
`void` | `setNorthings(double northings)` Sets the northings.

Methods inherited from class com.bbn.openmap.layer.mysql.MysqlGeometry
`getType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MysqlPoint

    public MysqlPoint()

Method Detail

### getEastings

    public double getEastings()

  Returns the eastings.

  Returns:
    double

### getNorthings

    public double getNorthings()

  Returns the northings.

  Returns:
    double

### setEastings

    public void setEastings(double eastings)

  Sets the eastings.

  Parameters:
    `eastings` - The eastings to set

### setNorthings

    public void setNorthings(double northings)

  Sets the northings.

  Parameters:
    `northings` - The northings to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details